# $Revision: 1.6 $, $Date: 2010/04/18 12:15:20 $
Summary:	Parallel implementation of bzip2
Summary(pl.UTF-8):	Zrównoleglona implementacja bzip2
Name:		pbzip2
Version:	1.1.0
Release:	1
License:	BSD
Group:		Applications/Archiving
Source0:	http://www.compression.ca/pbzip2/%{name}-%{version}.tar.gz
# Source0-md5:	39cfc2e8c810391b571246e798f7c73a
URL:		http://www.compression.ca/pbzip2/
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines. The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).

%description -l pl.UTF-8
PBZIP2 to zrównoleglona implementacja algorytmu kompresji plików
metodą sortowania bloków sobzip2, wykorzystująca mechanizm wątków
pthread i osiągająca prawie liniowe przyspieszenie na maszynach
wieloprocesorowych. Wyjście z tego programu jest w pełni
kompatybilne z formatem bzip2 w wersji 1.0.2 lub nowszej (tzn.
wszystko skompresowane programem pbzip2 może być rozpakowane przy
pomocy bzip2).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
ln -sf %{name} $RPM_BUILD_ROOT%{_bindir}/pbunzip2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/pbunzip2
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pbzip2.spec,v $
Revision 1.6  2010/04/18 12:15:20  blues
- 1.1.0

Revision 1.5  2009/01/12 20:58:39  areq
- 1.0.5

Revision 1.4  2007/09/05 19:44:49  blues
- rel.1

Revision 1.3  2007/08/04 14:24:18  qboosh
- quote CC, BR: libstdc++-devel

Revision 1.2  2007/07/28 22:29:30  vip
- updated md5

Revision 1.1  2007/07/28 16:01:30  vip
- initial
- don't know if fixing OPTFLAGS is correct, if yes, please make rel 1.0
